Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::tail_fn Struct Reference

## Synopsis of methods
constexpr view_closure< tail_fn > | tail {}

## Public Member Functions
template<typename Rng >
meta::if_c< range_cardinality< Rng >::value==0, all_t< Rng >, tail_view< all_t< Rng > > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

meta::if_c<range_cardinality<Rng>::value == 0, all_t<Rng>, tail_view<all_t<Rng> > > ranges::views::tail_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `viewable_range<Rng> && input_range<Rng>`